## scribus 1.5.8+dfsg

=== CMakeLists.txt ===
##############################################################################################################
########## CMake Setup                                                                              ##########

#Set our CMake minimum version
#Require 2.8.9 for Qt5 and CMAKE_POSITION_INDEPENDENT_CODE property
#Require 3.1.0 for Qt 5.7 C++ 11 easy support
#Require 3.2.0 for add_custom_target with byproducts
#Require 3.12 for new Find Python modules
#Require 3.14 for new Fontconfig module

cmake_minimum_required(VERSION 3.14.0 FATAL_ERROR)
if (WANT_QT6)
	cmake_minimum_required(VERSION 3.16.0)
endif()
cmake_policy(SET CMP0048 NEW)
message(STATUS "CMake Version: ${CMAKE_VERSION}")
if (WANT_PCH)
	if(${CMAKE_VERSION} VERSION_LESS "3.16.0")
		message(STATUS "Precompiled headers requested however CMake version < 3.16.0")
		set(WANT_PCH OFF)
	else()
		message(STATUS "Precompiled headers enabled")
	endif()
else()
	set(WANT_PCH OFF)
	message(STATUS "Precompiled headers disabled")
endif()

#Set our version values
#Final version is ${VERSION} = ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}.${VERSION_SUFFIX}
#where VERSION_SUFFIX is of the form "", "svn" or "Nsvn" (N being the minor patch level)
set (VERSION_MAJOR "1")
set (VERSION_MINOR "5")
set (VERSION_PATCH "8")
set (VERSION_SUFFIX "")
set (VERSION ${VERSION_MAJOR})
if (VERSION_MINOR GREATER -1)
	set (VERSION ${VERSION}.${VERSION_MINOR})
endif()
if (VERSION_PATCH GREATER -1)
	set (VERSION ${VERSION}.${VERSION_PATCH})
endif()

#Project Setup
#Do this now, prior to adding the suffix for SVN
project(scribus VERSION ${VERSION}) # LANGUAGES CXX C)
if (VERSION_SUFFIX)
	set (VERSION ${VERSION}.${VERSION_SUFFIX})
endif()
message(STATUS "Scribus ${VERSION} will be built and installed into ${CMAKE_INSTALL_PREFIX}")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)


# Configure CCache if available and wanted
if (WANT_CCACHE)
	find_program(CCACHE_FOUND ccache)
	if(CCACHE_FOUND)
		message(STATUS "Enabling ccache")
		set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
		set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
	endif()
endif()

#Pretty colors
set(CMAKE_COLOR_MAKEFILE ON)
#Don't force verbose
set(CMAKE_VERBOSE_MAKEFILE OFF)
#Include current dir
set(CMAKE_INCLUDE_CURRENT_DIR ON)
#Don't allow in source builds
#set(CMAKE_DISABLE_SOURCE_CHANGES ON)
#set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)


#RPATH setup - more below too
if (WANT_NORPATH OR WANT_DISTROBUILD)
	set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
else()
	set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
endif()
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
set(CMAKE_SKIP_RULE_DEPENDENCY TRUE)
set(CMAKE_SKIP_BUILD_RPATH TRUE)

include(CheckIncludeFile)
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(CheckTypeSize)
include(TestBigEndian)
include(GNUInstallDirs)
#include(FeatureSummary)

#enable_testing()

#Set the custom CMake module directory where our include/lib finders are
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

##############################################################################################################
########## toplevel compiler flags                                                                  ##########
message(STATUS "Shared Library Flags: ${CMAKE_SHARED_LIBRARY_C_FLAGS}")




#Set the permissions to be used when installing plugins
set(PLUGIN_PERMISSIONS WORLD_EXECUTE GROUP_EXECUTE OWNER_EXECUTE WORLD_READ GROUP_READ OWNER_READ OWNER_WRITE)

#Our main directory is scribus
set(MAIN_DIR_NAME "scribus")

##############################################################################################################
########## check for the CPU we build for                                                           ##########

execute_process(
	COMMAND ${CMAKE_C_COMPILER} -dumpmachine
	OUTPUT_VARIABLE MACHINE
	OUTPUT_STRIP_TRAILING_WHITESPACE
)

## Find out what machine/cpu we are running on
message(STATUS  "Machine: ${MACHINE}, void pointer size: ${CMAKE_SIZEOF_VOID_P}")
string(REGEX MATCH "(i[0-9]86-*)|(athlon-*)|(pentium-*)" _machine_x86 "${MACHINE}")
if (_machine_x86)
	message(STATUS "Found target X86")
	set(ARCH_X86 ON)
endif()

string(REGEX MATCH "(x86_64-*)|(X86_64-*)|(AMD64-*)|(amd64-*)" _machine_x86_64 "${MACHINE}")
if (_machine_x86_64)
	message(STATUS "Found target X86_64")
	set(ARCH_X86_64 ON)
endif()

string(REGEX MATCH "(sparc64-*)|(SPARC64-*)" _machine_sparc_64 "${MACHINE}")
if (_machine_sparc_64)
	message(STATUS "Found target SPARC 64")
	set(ARCH_SPARC_64 ON)
endif()

string(REGEX MATCH "(mips64-*)|(MIPS64-*)" _machine_mips_64 "${MACHINE}")
if (_machine_mips_64)
	message(STATUS "Found target MIPS 64")
	set(ARCH_MIPS_64 ON)
endif()

string(REGEX MATCH "(ppc-*)|(powerpc-*)" _machine_ppc "${MACHINE}")
if (_machine_ppc)
	message(STATUS "Found target PPC")
	set(ARCH_PPC ON)
endif()

string(REGEX MATCH "(ppc64-*)|(PPC64-*)|(powerpc64-*)" _machine_ppc_64 "${MACHINE}")
if (_machine_ppc_64)
	message(STATUS "Found target PPC64")
	set(ARCH_PPC_64 ON)
endif()

string(REGEX MATCH "(sparc-*)" _machine_sparc "${MACHINE}")
if (_machine_sparc)
	message(STATUS "Found target Sparc")
	set(ARCH_SPARC ON)
endif()

string(REGEX MATCH "(sparcv9-*)" _machine_sparcv9 "${MACHINE}")
if (_machine_sparcv9)
	message(STATUS "Found target Sparc v9")
	set(ARCH_SPARCV9 ON)
endif()

string(REGEX MATCH "(sparc64-*)" _machine_sparc64 "${MACHINE}")
if (_machine_sparc64)
	message(STATUS "Found target Sparc64")
	set(ARCH_SPARC64 ON)
	set(ARCH64BIT ON)
endif()

string(REGEX MATCH "(hppa+)" _machine_hppa "${MACHINE}")
if (_machine_hppa)
	message(STATUS "Found target Hppa")
	set(ARCH_HPPA ON)
endif()

string(REGEX MATCH "(arm+)" _machine_arm "${MACHINE}")
if (_machine_arm)
	message(STATUS "Found target arm")
	set(ARCH_ARM ON)
endif()

string(REGEX MATCH "(arm64+)" _machine_arm "${MACHINE}")
if (_machine_arm)
	message(STATUS "Found target arm64")
	set(ARCH_ARM_64 ON)
endif()

# We need to pass -fPIC to lib2geom on amd64, mips, mipsel, and hppa. See:
# http://www.gentoo.org/proj/en/base/amd64/howtos/index.xml?part=1&chap=3 and
# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=559133

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

## Do our Apple OSX version setup
if (APPLE)
	if ((CMAKE_SIZEOF_VOID_P EQUAL 8) AND (ARCH_ARM))
		string(REGEX REPLACE ".*-darwin([0-9]+).*" "\\1" _apple_ver "${MACHINE}")
		if (_apple_ver EQUAL "21")
			message(STATUS "Found macOS Monterey Target: Apple, 64 bit, ARM")
			set(APPLE_12_00_X ON CACHE BOOL "Found macOS Monterey Target: Apple, 64 bit, ARM")
		endif()
		if (_apple_ver EQUAL "20")
			message(STATUS "Found macOS Big Sur Target: Apple, 64 bit, ARM")
			set(APPLE_11_00_X ON CACHE BOOL "Found macOS Big Sur Target: Apple, 64 bit, ARM")
		endif()
	endif()
	if ((CMAKE_SIZEOF_VOID_P EQUAL 8) AND (ARCH_X86 OR ARCH_X86_64))
		string(REGEX REPLACE ".*-darwin([0-9]+).*" "\\1" _apple_ver "${MACHINE}")
		if (_apple_ver EQUAL "21")
			message(STATUS "Found macOS Monterey Target: Apple, 64 bit, X86")
			set(APPLE_12_00_X ON CACHE BOOL "Found macOS Monterey Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "20")
			message(STATUS "Found macOS Big Sur Target: Apple, 64 bit, X86")
			set(APPLE_11_00_X ON CACHE BOOL "Found macOS Big Sur Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "19")
			message(STATUS "Found macOS Catalina Target: Apple, 64 bit, X86")
			set(APPLE_10_15_X ON CACHE BOOL "Found macOS Catalina Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "18")
			message(STATUS "Found macOS Mojave Target: Apple, 64 bit, X86")
			set(APPLE_10_14_X ON CACHE BOOL "Found macOS Mojave Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "17")
			message(STATUS "Found macOS High Sierra Target: Apple, 64 bit, X86")
			set(APPLE_10_13_X ON CACHE BOOL "Found macOS High Sierra Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "16")
			message(STATUS "Found macOS Sierra Target: Apple, 64 bit, X86")
			set(APPLE_10_12_X ON CACHE BOOL "Found macOS Sierra Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "15")
			message(STATUS "Found OSX El Capitan Target: Apple, 64 bit, X86")
			set(APPLE_10_11_X ON CACHE BOOL "Found OSX El Capitan Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "14")
			message(STATUS "Found OSX Yosemite Target: Apple, 64 bit, X86")
			set(APPLE_10_10_X ON CACHE BOOL "Found OSX Yosemite Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "13")
			message(STATUS "Found OSX Mavericks Target: Apple, 64 bit, X86")
			set(APPLE_10_9_X ON CACHE BOOL "Found OSX Mavericks Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "12")
			message(STATUS "Found OSX Mountain Lion Target: Apple, 64 bit, X86")
			set(APPLE_10_8_X ON CACHE BOOL "Found OSX Mountain Lion Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "11")
			message(STATUS "Found OSX Lion Target: Apple, 64 bit, X86")
			set(APPLE_10_7_X ON CACHE BOOL "Found OSX Lion Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "10")
			message(STATUS "Found OSX Snow Leopard Target: Apple, 64 bit, X86")
			set(APPLE_10_6_X ON CACHE BOOL "Found OSX Snow Leopard Target: Apple, 64 bit, X86")
		endif()
		if (_apple_ver EQUAL "9")
			message(STATUS "Found OSX Leopard Target: Apple, 32 bit, X86")
			set(APPLE_10_5_X ON CACHE BOOL "Found OSX Leopard Target: Apple, 32 bit, X86")
		endif()
		unset(ARCH_X86)
	endif()
endif()


#convert any 64 bit build into generic 64 tag for below
if (ARCH_X86_64 OR ARCH_SPARC_64 OR ARCH_MIPS_64 OR ARCH_PPC_64 OR ARCH_ARM_64)
	set(ARCH64BIT ON)
endif()

message(STATUS "Building for target ${MACHINE}")

##############################################################################################################
########## Relocatability                                                                           ##########

if (APPLEBUNDLE OR WIN32)
	if (WANT_RELOCATABLE)
		message(STATUS "Ignoring relocatable option on Win32 or OSX when building bundle")
		set(WANT_RELOCATABLE OFF)
	endif()
endif()

if (WANT_RELOCATABLE)
	message(STATUS "Enabling relocatable binaries")
	set(WANT_RELOCATABLE ON CACHE BOOL "Enable relocatable binaries")
	add_definitions(-DWANT_RELOCATABLE)
endif()

##############################################################################################################
########## Versioning Setup                                                                         ##########

#On Apple, we ignore the versioning tag so all items are "scribus" not "scribus-version"
if (NOT BUILD_OSX_BUNDLE)
	set(BUILD_OSX_BUNDLE ${APPLE} CACHE BOOL "Building MacOS X Bundle")
endif()

#Simplify future conditionals for Apple
if (APPLE AND BUILD_OSX_BUNDLE)
	set(APPLEBUNDLE ON CACHE BOOL "Building Apple Bundle")
endif()

#Announce we cached a version request before, overridden below for OSX
if(TAG_VERSION)
	if (NOT APPLEBUNDLE)
		message(STATUS "Previously selected version tag: ${TAG_VERSION}")
	endif()
	set(WANT_VERSIONING ON)
	set(CACHED_VERSIONING ON)
endif()

#Remove version tags on OSX so our bundle is Scribus.app
if (APPLEBUNDLE OR WIN32)
	if (WANT_VERSIONING OR CACHED_VERSIONING)
		message(STATUS "Ignoring version tag on Win32 or OSX when building bundle")
		set(WANT_VERSIONING OFF)
		set(CACHED_VERSIONING OFF)
	endif()
endif()

#Store our version string if required
if (WANT_VERSIONING AND NOT CACHED_VERSIONING)
	if (NOT CUSTOM_VERSIONTAG)
		set(TAG_VERSION "-${VERSION}" CACHE STRING "Version string")
	else()
		set(TAG_VERSION ${CUSTOM_VERSIONTAG} CACHE STRING "Version string")
	endif()
endif()

##############################################################################################################
########## Install/Directory Setup                                                                  ##########
include (CMakeLists_Directories.cmake)

##############################################################################################################

=== scribus/CMakeLists.txt ===
#For those that want it, show the SVN version in the About dialog
if (WANT_SVNVERSION)
	add_definitions(-DHAVE_SVNVERSION)
	message(STATUS "SVN Version requested in About dialog")
	# a custom target that is always built

	if (NOT CMAKE_VERSION VERSION_LESS "3.2.0")
		if (WANT_QT6)
			add_custom_target(svnheader ALL COMMAND ${CMAKE_COMMAND} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_SOURCE_DIR}/cmake/modules/getsvn.cmake BYPRODUCTS ${CMAKE_CURRENT_BINARY_DIR}/svnversion.h)
		else()
			add_custom_target(svnheader ALL COMMAND ${CMAKE_COMMAND} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_MODULE_PATH}/getsvn.cmake BYPRODUCTS ${CMAKE_CURRENT_BINARY_DIR}/svnversion.h)
		endif()
	else ()
		add_custom_target(svnheader ALL DEPENDS svn_header ) # svn_header is nothing more than a unique string
		# creates svnheader.h using cmake script
		add_custom_command(OUTPUT svn_header ${CMAKE_CURRENT_BINARY_DIR}/svnversion.h
		COMMAND ${CMAKE_COMMAND} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_MODULE_PATH}/getsvn.cmake)
		set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/svnversion.h
			PROPERTIES GENERATED TRUE
			HEADER_FILE_ONLY TRUE)
	endif ()
endif ()

if(WIN32)
	add_definitions(-DQT_DLL)
endif()


include_directories(
	${CMAKE_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${FREETYPE_INCLUDE_DIRS}
	${HARFBUZZ_INCLUDE_DIRS}
	${HARFBUZZ_SUBSET_INCLUDE_DIRS}
)

include(api/CMakeLists.txt)
include(colormgmt/CMakeLists.txt)
include(desaxe/CMakeLists.txt)
include(fonts/CMakeLists.txt)
include(styles/CMakeLists.txt)
include(text/CMakeLists.txt)

add_subdirectory(dtd)
add_subdirectory(ui/qml)
if(WITH_TESTS)
	add_subdirectory(tests)
endif()
if (WANT_DESIGNER)
	add_subdirectory(designer)
endif ()
add_subdirectory(third_party)

if(HAVE_OSG)
	set(SCRIBUS_OSG_CLASS
		ui/AdapterWidget.h
		ui/osgeditor.h
		pageitem_osgframe.h
	)
	set(SCRIBUS_OSG_SRC
		ui/AdapterWidget.cpp
		ui/osgeditor.cpp
		pageitem_osgframe.cpp
	)
endif ()

if (GMAGICK_FOUND)
	set(SCRIBUS_GMAGICK_SRC imagedataloaders/scimgdataloader_gmagick.cpp)
else()
	set(SCRIBUS_GMAGICK_SRC)
endif()

set(SCRIBUS_SOURCES
	actionmanager.cpp
	actionsearch.cpp
	appmodehelper.cpp
	canvas.cpp
	canvasgesture_cellselect.cpp
	canvasgesture_columnresize.cpp
	canvasgesture_linemove.cpp
	canvasgesture_pan.cpp
	canvasgesture_rectselect.cpp
	canvasgesture_resize.cpp
	canvasgesture_rowresize.cpp
	canvasgesture_rulermove.cpp
	canvasgesture_table.cpp
	canvasgesture_tableresize.cpp
	canvasmode.cpp
	canvasmode_copyproperties.cpp
	canvasmode_create.cpp
	canvasmode_drawbezier.cpp
	canvasmode_drawcalligraphic.cpp
	canvasmode_drawfreehand.cpp
	canvasmode_eyedropper.cpp
	canvasmode_framelinks.cpp
	canvasmode_imageimport.cpp
	canvasmode_edit.cpp
	canvasmode_editarc.cpp
	canvasmode_editgradient.cpp
	canvasmode_editmeshgradient.cpp
	canvasmode_editmeshpatch.cpp
	canvasmode_editpolygon.cpp
	canvasmode_editspiral.cpp
	canvasmode_edittable.cpp
	canvasmode_editweldpoint.cpp
	canvasmode_magnifier.cpp
	canvasmode_measurements.cpp
	canvasmode_nodeedit.cpp
	canvasmode_normal.cpp
	canvasmode_objimport.cpp
	canvasmode_panning.cpp
	canvasmode_rotate.cpp
	cellarea.cpp
	chartablemodel.cpp
	chartableview.cpp
	cmserrorhandling.cpp
	cmsettings.cpp
	collapsedtablepainter.cpp
	collapsedtablepainterex.cpp
	collect4output.cpp
	colorblind.cpp
	colorsetmanager.cpp
	commonstrings.cpp
	deferredtask.cpp
	documentchecker.cpp
	documentinformation.cpp
	exif.cpp
	fileloader.cpp
	filesearch.cpp
	filewatcher.cpp
	fontlistmodel.cpp
	fpoint.cpp
	fpointarray.cpp
	gtaction.cpp
	gtfont.cpp
	gtframestyle.cpp
	gtgettext.cpp
	gtmeasure.cpp
	gtparagraphstyle.cpp
	gtstyle.cpp
	gtwriter.cpp
	guidemanagercore.cpp
	guidesdelegate.cpp
	guidesmodel.cpp
	guidesview.cpp
	hyphenator.cpp
	iconmanager.cpp
	ioapi.c
	KarbonCurveFit.cpp
	langdef.cpp
	langmgr.cpp
	latexhelpers.cpp
	loadsaveplugin.cpp
	localemgr.cpp
	marks.cpp
	menumanager.cpp
	mesh.cpp
	navigator.cpp
	numeration.cpp
	observable.cpp
	nftrcreader.cpp
	nftsettings.cpp
	nfttemplate.cpp
	nodeeditcontext.cpp
	notesstyles.cpp
	pageitem.cpp
	pageitem_arc.cpp
	pageitem_group.cpp
	pageitem_imageframe.cpp
	pageitem_latexframe.cpp
	pageitem_line.cpp
	pageitem_pathtext.cpp
	pageitem_polygon.cpp
	pageitem_polyline.cpp
	pageitem_regularpolygon.cpp
	pageitem_spiral.cpp
	pageitem_symbol.cpp
	pageitem_table.cpp
	pageitem_textframe.cpp
	pageitem_noteframe.cpp
	pageitemiterator.cpp
	pageitempointer.cpp
	pagesize.cpp
	pdf_analyzer.cpp
	pdflib.cpp
	pdflib_core.cpp
	pdfoptions.cpp
	pdfoptionsio.cpp
	pdfversion.cpp
	pdfwriter.cpp
	pluginmanager.cpp
	pp_proxy.cpp
	prefscontext.cpp
	prefsfile.cpp
	prefsmanager.cpp
	prefsreader.cpp
	prefstable.cpp
	printpreviewcreator.cpp
	printpreviewcreator_pdf.cpp
	printpreviewcreator_ps.cpp
	printpreviewcreatorfactory.cpp
	pslib.cpp
	qtiocompressor.cpp
	rawimage.cpp
	rc4.c
	sampleitem.cpp
	scclocale.cpp
	sccolor.cpp
	sccolorengine.cpp
	sccolorshade.cpp
	sccolorstructs.cpp
	scdocoutput.cpp
	scdocoutput_ps2.cpp
	scdomelement.cpp
	scfonts.cpp
	scgtplugin.cpp
	schelptreemodel.cpp
	scimage.cpp
	scimagecacheproxy.cpp
	scimagecachedir.cpp
	scimagecachefile.cpp
	scimagecachemanager.cpp
	scimagecachewriteaction.cpp
	scimagestructs.cpp
	sclayer.cpp
	sclockedfile.cpp
	scmimedata.cpp
	scpage.cpp
	scpageoutput.cpp
	scpageoutput_ps2.cpp
	scpainter.cpp
	scpainterex_ps2.cpp
	scpainterexbase.cpp
	scpaths.cpp
	scpattern.cpp
	scplugin.cpp
	scpreview.cpp
	scprintengine.cpp
	scprintengine_pdf.cpp
	scprintengine_ps.cpp
	scraction.cpp
	scribus.cpp
	scribusXml.cpp
	scribusapp.cpp
	scribuscore.cpp
	scribusdoc.cpp
	scribusview.cpp
	scribuswin.cpp
	scslainforeader.cpp
	scstreamfilter.cpp
	scstreamfilter_ascii85.cpp
	scstreamfilter_flate.cpp
	scstreamfilter_jpeg.cpp
	scstreamfilter_rc4.cpp
	sctextstream.cpp
	sctextstruct.cpp
	scxmlstreamreader.cpp
	selection.cpp
	selectionrubberband.cpp
	serializer.cpp
	storyloader.cpp
	styleitem.cpp
	tableborder.cpp
	tablecell.cpp
	tableutils.cpp
	textnote.cpp
	textwriter.cpp
	tocgenerator.cpp
	transaction.cpp
	undogui.cpp
	undomanager.cpp
	undoobject.cpp
	undostack.cpp
	undostate.cpp
	undotransaction.cpp
	units.cpp
	updatemanager.cpp
	upgradechecker.cpp
	urllauncher.cpp
	util.cpp
	util_color.cpp
	util_debug.cpp
	util_file.cpp
	util_formats.cpp
	util_ghostscript.cpp
	util_layer.cpp
	util_math.cpp
	util_os.cpp
	util_printer.cpp
	util_text.cpp
	vgradient.cpp
	vgradientex.cpp
	downloadmanager/scdlmgr.cpp
	downloadmanager/scdlthread.cpp
	imagedataloaders/scimgdataloader.cpp
	imagedataloaders/scimgdataloader_gimp.cpp
	imagedataloaders/scimgdataloader_jpeg.cpp
	imagedataloaders/scimgdataloader_kra.cpp
	imagedataloaders/scimgdataloader_ora.cpp
	imagedataloaders/scimgdataloader_pdf.cpp
	imagedataloaders/scimgdataloader_pgf.cpp
	imagedataloaders/scimgdataloader_pict.cpp
	imagedataloaders/scimgdataloader_png.cpp
	imagedataloaders/scimgdataloader_ps.cpp
	imagedataloaders/scimgdataloader_psd.cpp
	imagedataloaders/scimgdataloader_qt.cpp
	imagedataloaders/scimgdataloader_tiff.cpp
	imagedataloaders/scimgdataloader_wpg.cpp
	palettes/cxfcolor.cpp
	palettes/cxfcolorspecification.cpp
	palettes/cxfdocument.cpp
	palettes/cxfobject.cpp
	palettes/cxfmeasurementspec.cpp
	palettes/cxftristimulusspec.cpp
	palettes/cxfutils.cpp
	palettes/paletteloader.cpp
	palettes/paletteloader_adobe_acb.cpp
	palettes/paletteloader_adobe_aco.cpp
	palettes/paletteloader_adobe_ase.cpp
	palettes/paletteloader_autocad_acb.cpp
	palettes/paletteloader_cxf.cpp
	palettes/paletteloader_ps.cpp
	palettes/paletteloader_sk1.cpp
	palettes/paletteloader_swatchbook.cpp
	third_party/fparser/fpoptimizer.cc
	third_party/fparser/fparser.cc
	ui/about.cpp
	ui/aboutplugins.cpp
	ui/actionsearchdialog.cpp
	ui/aligndistribute.cpp
	ui/alignselect.cpp
	ui/directionselect.cpp
	ui/annot.cpp
	ui/annota.cpp
	ui/applytemplatedialog.cpp
	ui/arcwidget.cpp
	ui/arcvectordialog.cpp
	ui/arrowchooser.cpp
	ui/autoform.cpp
	ui/autoformbuttongroup.cpp
	ui/basepointwidget.cpp
	ui/bookmarkpalette.cpp
	ui/bookmwin.cpp
	ui/buttonicon.cpp
	ui/charselect.cpp
	ui/charselectenhanced.cpp
	ui/charzoom.cpp
	ui/checkDocument.cpp
	ui/clockwidget.cpp
	ui/cmykfw.cpp
	ui/collectforoutput_ui.cpp
	ui/colorchart.cpp
	ui/colorcombo.cpp
	ui/colorlistbox.cpp
	ui/colorlistmodel.cpp
	ui/colorsandfills.cpp
	ui/contentpalette.cpp
	ui/contentpalette_default.cpp
	ui/contentpalette_page.cpp
	ui/contextmenu.cpp
	ui/cpalette.cpp
	ui/cupsoptions.cpp
	ui/curvewidget.cpp
	ui/customfdialog.cpp
	ui/cxfimportdialog.cpp
	ui/dasheditor.cpp
	ui/dcolor.cpp
	ui/delpages.cpp
	ui/downloadspalette.cpp
	ui/editor.cpp
	ui/effectsdialog.cpp
	ui/extimageprops.cpp
	ui/filedialogeventcatcher.cpp
	ui/fontcombo.cpp
	ui/fontembeddingcombo.cpp
	ui/fontembeddingmodel.cpp
	ui/fontlistview.cpp
	ui/fontreplacedialog.cpp
	ui/gradientaddedit.cpp
	ui/gradienteditor.cpp
	ui/gradientvectordialog.cpp
	ui/gradientpreview.cpp
	ui/gtdialogs.cpp
	ui/gtfiledialog.cpp
	ui/guidemanager.cpp
	ui/helpbrowser.cpp
	ui/hruler.cpp
	ui/hyask.cpp
	ui/imageinfodialog.cpp
	ui/inlinepalette.cpp
	ui/insertTable.cpp
	ui/insertaframe.cpp
	ui/inserttablecolumnsdialog.cpp
	ui/inserttablerowsdialog.cpp
	ui/inspage.cpp
	ui/javadocs.cpp
	ui/latexeditor.cpp
	ui/layers.cpp
	ui/linecombo.cpp
	ui/linkbutton.cpp
	ui/loremipsum.cpp
	ui/mark2item.cpp
	ui/mark2mark.cpp
	ui/markanchor.cpp
	ui/markinsert.cpp
	ui/marknote.cpp
	ui/marksmanager.cpp
	ui/markvariabletext.cpp
	ui/marginpresetlayout.cpp
	ui/marginwidget.cpp
	ui/newmarginwidget.cpp
	ui/mergedoc.cpp
	ui/missing.cpp
	ui/movepage.cpp
	ui/multipleduplicate.cpp
	ui/multiprogressdialog.cpp
	ui/measurements.cpp
	ui/newdocdialog.cpp
	ui/newtemp.cpp
	ui/nftdialog.cpp
	ui/nftwidget.cpp
	ui/nodeeditpalette.cpp
	ui/notesstyleseditor.cpp
	ui/numformatcombo.cpp
	ui/outlinepalette.cpp
	ui/outputpreview_pdf.cpp
	ui/outputpreview_ps.cpp
	ui/outputpreviewbase.cpp
	ui/pageitemattributes.cpp
	ui/pagelayout.cpp
	ui/pagepalette.cpp
	ui/pagepalette_pages.cpp
	ui/pagepalette_masterpages.cpp
	ui/pagepalette_widgets.cpp
	ui/pagepropertiesdialog.cpp
	ui/pageselector.cpp
	ui/patternpropsdialog.cpp
	ui/pdfexportdialog.cpp
	ui/pdfversioncombo.cpp
	ui/pdfversionmodel.cpp
	ui/picsearch.cpp
	ui/picsearchoptions.cpp
	ui/picstatus.cpp
	ui/polygonwidget.cpp
	ui/polyprops.cpp
	ui/preferencesdialog.cpp
	ui/prefs_colormanagement.cpp
	ui/prefs_display.cpp
	ui/prefs_documentinformation.cpp
	ui/prefs_documentsections.cpp
	ui/prefs_documentsetup.cpp
	ui/prefs_externaltools.cpp
	ui/prefs_fonts.cpp
	ui/prefs_guides.cpp
	ui/prefs_hyphenator.cpp
	ui/prefs_imagecache.cpp
	ui/prefs_keyboardshortcuts.cpp
	ui/prefs_miscellaneous.cpp
	ui/prefs_pagesizes.cpp
	ui/prefs_pane.cpp
	ui/prefs_paths.cpp
	ui/prefs_plugins.cpp
	ui/prefs_preflightverifier.cpp
	ui/prefs_printer.cpp
	ui/prefs_scrapbook.cpp
	ui/prefs_spelling.cpp
	ui/prefs_typography.cpp
	ui/prefs_userinterface.cpp
	ui/prefs_itemtools.cpp
	ui/prefs_operatortools.cpp
	ui/prefs_pdfexport.cpp
	ui/prefs_tableofcontents.cpp
	ui/prefs_documentitemattributes.cpp
	ui/printdialog.cpp
	ui/printlanguagecombo.cpp
	ui/printpreview.cpp
	ui/propertiespalette.cpp
	ui/propertiespalette_image.cpp
	ui/propertiespalette_group.cpp
	ui/propertiespalette_line.cpp
	ui/propertiespalette_shadow.cpp
	ui/propertiespalette_shape.cpp
	ui/propertiespalette_table.cpp
	ui/propertiespalette_text.cpp
	ui/propertiespalette_utils.cpp
	ui/propertiespalette_xyz.cpp
	ui/propertywidget_advanced.cpp
	ui/propertywidget_distance.cpp
	ui/propertywidget_pareffect.cpp
	ui/propertywidget_flop.cpp
	ui/propertywidget_hyphenation.cpp
	ui/propertywidget_optmargins.cpp
	ui/propertywidget_orphans.cpp
	ui/propertywidget_pathtext.cpp
	ui/propertywidget_textcolor.cpp
	ui/propertywidget_fontfeatures.cpp
	ui/propertywidgetbase.cpp
	ui/proptree.cpp
	ui/query.cpp
	ui/recoverdialog.cpp
	ui/replacecolors.cpp
	ui/replaceonecolor.cpp
	ui/resourcemanager.cpp
	ui/resourcemanagerlicense.cpp
	ui/rulermover.cpp
	ui/sccolorslider.cpp
	ui/scdockpalette.cpp
	ui/scescapecatcher.cpp
	ui/scfilewidget.cpp
	ui/sclistwidgetdelegate.cpp
	ui/scmenu.cpp
	ui/scmessagebox.cpp

=== resources/editorconfig/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

install(FILES
100_latex.tar
100_latex.xml
#sample.xml
200_gnuplot.xml
gnuplot.png
300_lilypond.xml
lilypond.png
400_dot.xml
dot.svg
500_povray.xml
povray_32.png
600_xelatex.xml
600_xelatex.tar

  DESTINATION ${SHAREDIR}/editorconfig
)

=== resources/iconsets/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

ADD_SUBDIRECTORY(artwork)

##################


#Install our 1.5.0 icons
file( GLOB SCRIBUS_ICONS_1_5_0_UNSORTED 1_5_0/*.jpg 1_5_0/*.png 1_5_0/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_0_UNSORTED} DESTINATION ${ICONDIR}/1_5_0/)

#Install our 16x16 icons
file( GLOB SCRIBUS_ICONS_1_5_0_10 1_5_0/10/*.jpg 1_5_0/10/*.png 1_5_0/10/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_0_10} DESTINATION ${ICONDIR}/1_5_0/10)

#Install our 16x16 icons
file( GLOB SCRIBUS_ICONS_1_5_0_16 1_5_0/16/*.jpg 1_5_0/16/*.png 1_5_0/16/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_0_16} DESTINATION ${ICONDIR}/1_5_0/16)

#Install our 22x22 icons
file( GLOB SCRIBUS_ICONS_1_5_0_22 1_5_0/22/*.jpg 1_5_0/22/*.png 1_5_0/22/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_0_22} DESTINATION ${ICONDIR}/1_5_0/22)

#Install our 32x32 icons
file( GLOB SCRIBUS_ICONS_1_5_0_32 1_5_0/32/*.jpg 1_5_0/32/*.png 1_5_0/32/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_0_32} DESTINATION ${ICONDIR}/1_5_0/32)

#Install our stylesheet icons
file( GLOB SCRIBUS_ICONS_1_5_0_STYLE 1_5_0/stylesheet/*.png )
install(FILES ${SCRIBUS_ICONS_1_5_0_STYLE} DESTINATION ${ICONDIR}/1_5_0/stylesheet)

#Install our XML
file( GLOB SCRIBUS_XML_1_5_0 1_5_0/*.xml )
install(FILES ${SCRIBUS_XML_1_5_0} DESTINATION ${ICONDIR})


##################


#Install our 1.5.1 icons
file( GLOB SCRIBUS_ICONS_1_5_1_UNSORTED 1_5_1/*.jpg 1_5_1/*.png 1_5_1/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_1_UNSORTED} DESTINATION ${ICONDIR}/1_5_1/)

#Install our 16x16 icons
file( GLOB SCRIBUS_ICONS_1_5_1_10 1_5_1/10/*.jpg 1_5_1/10/*.png 1_5_1/10/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_1_10} DESTINATION ${ICONDIR}/1_5_1/10)

#Install our 16x16 icons
file( GLOB SCRIBUS_ICONS_1_5_1_16 1_5_1/16/*.jpg 1_5_1/16/*.png 1_5_1/16/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_1_16} DESTINATION ${ICONDIR}/1_5_1/16)

#Install our 22x22 icons
file( GLOB SCRIBUS_ICONS_1_5_1_22 1_5_1/22/*.jpg 1_5_1/22/*.png 1_5_1/22/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_1_22} DESTINATION ${ICONDIR}/1_5_1/22)

#Install our 32x32 icons
file( GLOB SCRIBUS_ICONS_1_5_1_32 1_5_1/32/*.jpg 1_5_1/32/*.png 1_5_1/32/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_1_32} DESTINATION ${ICONDIR}/1_5_1/32)

#Install our stylesheet icons
file( GLOB SCRIBUS_ICONS_1_5_1_STYLE 1_5_1/stylesheet/*.png )
install(FILES ${SCRIBUS_ICONS_1_5_1_STYLE} DESTINATION ${ICONDIR}/1_5_1/stylesheet)

#Install our XML
file( GLOB SCRIBUS_XML_1_5_1 1_5_1/*.xml )
install(FILES ${SCRIBUS_XML_1_5_1} DESTINATION ${ICONDIR})


##################


#Install our 1.5.1 dark icons
file( GLOB SCRIBUS_ICONS_1_5_1_DARK_UNSORTED 1_5_1_dark/*.jpg 1_5_1_dark/*.png 1_5_1_dark/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_1_DARK_UNSORTED} DESTINATION ${ICONDIR}/1_5_1_dark/)

#Install our 16x16 icons
file( GLOB SCRIBUS_ICONS_1_5_1_DARK_10 1_5_1_dark/10/*.jpg 1_5_1_dark/10/*.png 1_5_1_dark/10/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_1_DARK_10} DESTINATION ${ICONDIR}/1_5_1_dark/10)

#Install our 16x16 icons
file( GLOB SCRIBUS_ICONS_1_5_1_DARK_16 1_5_1_dark/16/*.jpg 1_5_1_dark/16/*.png 1_5_1_dark/16/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_1_DARK_16} DESTINATION ${ICONDIR}/1_5_1_dark/16)

#Install our 22x22 icons
file( GLOB SCRIBUS_ICONS_1_5_1_DARK_22 1_5_1_dark/22/*.jpg 1_5_1_dark/22/*.png 1_5_1_dark/22/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_1_DARK_22} DESTINATION ${ICONDIR}/1_5_1_dark/22)

#Install our 32x32 icons
file( GLOB SCRIBUS_ICONS_1_5_1_DARK_32 1_5_1_dark/32/*.jpg 1_5_1_dark/32/*.png 1_5_1_dark/32/*.xpm )
install(FILES ${SCRIBUS_ICONS_1_5_1_DARK_32} DESTINATION ${ICONDIR}/1_5_1_dark/32)

#Install our stylesheet icons
file( GLOB SCRIBUS_ICONS_1_5_1_DARK_STYLE 1_5_1_dark/stylesheet/*.png )
install(FILES ${SCRIBUS_ICONS_1_5_1_DARK_STYLE} DESTINATION ${ICONDIR}/1_5_1_dark/stylesheet)

#Install our XML
file( GLOB SCRIBUS_XML_1_5_1_DARK 1_5_1_dark/*.xml )
install(FILES ${SCRIBUS_XML_1_5_1_DARK} DESTINATION ${ICONDIR})


##################

=== resources/manpages/CMakeLists.txt ===
include_directories(
"${CMAKE_SOURCE_DIR}/scribus"
)

install(FILES
scribus.1
  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1
  RENAME scribus${TAG_VERSION}.1
)

install(FILES
scribus.1.de
  DESTINATION ${CMAKE_INSTALL_MANDIR}/de/man1
  RENAME scribus${TAG_VERSION}.1
)

install(FILES
scribus.1.pl
  DESTINATION ${CMAKE_INSTALL_MANDIR}/pl/man1
  RENAME scribus${TAG_VERSION}.1
)

=== resources/swatches/CMakeLists.txt ===
include_directories(
"${CMAKE_SOURCE_DIR}/scribus"
)

file( GLOB EPS_PALETTES *.eps )
file( GLOB GIMP_STYLE_PALETTES *.gpl )
file( GLOB RTF_LICENSES *.rtf )
file( GLOB SBZ_PALETTES *.sbz )
file( GLOB XML_PALETTES *.xml )

#Avoid CMakeLists.txt
set(TXT_LICENSES "${CMAKE_CURRENT_SOURCE_DIR}/COPYING_RESENE.txt" "${CMAKE_CURRENT_SOURCE_DIR}/Japanese_Traditional_README.txt")

install(FILES ${GIMP_STYLE_PALETTES} ${XML_PALETTES} ${EPS_PALETTES} ${RTF_LICENSES} ${TXT_LICENSES} ${SBZ_PALETTES}
 DESTINATION ${SHAREDIR}swatches
)

=== scribus/desaxe/CMakeLists.txt ===

set(SCRIBUS_DESAXE_SOURCES
	desaxe/digester.cpp
	desaxe/digester_parse.cpp
	desaxe/saxfilter.cpp
	desaxe/saxiohelper.cpp
	desaxe/saxXML.cpp
	desaxe/uniqueid.cpp
)

=== scribus/designer/CMakeLists.txt ===
# it's unfinished add_subdirectory(smwidgets)

include_directories(
${FREETYPE_INCLUDE_DIRS}
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
)

set(SCRIBUS_SCRSPINBOX_PLUGIN_MOC_CLASSES
scrspinboxplugin.h
../commonstrings.h
../ui/scrspinbox.h
)

set(SCRIBUS_SCRSPINBOX_PLUGIN_SOURCES
scrspinboxplugin.cpp
../commonstrings.cpp
../fparser.cpp
../ui/scrspinbox.cpp
../units.cpp
)

set(SCRIBUS_SCTABLEWIDGET_PLUGIN_MOC_CLASSES
sctablewidgetplugin.h
../ui/sctablewidget.h
)

set(SCRIBUS_SCTABLEWIDGET_PLUGIN_SOURCES
sctablewidgetplugin.cpp
../ui/sctablewidget.cpp
)

set(SCRIBUS_SCTEXTBROWSER_PLUGIN_MOC_CLASSES
sctextbrowserplugin.h
../ui/sctextbrowser.h
../urllauncher.h
)

set(SCRIBUS_SCTEXTBROWSER_PLUGIN_SOURCES
sctextbrowserplugin.cpp
../ui/sctextbrowser.cpp
../urllauncher.cpp
)

set(SCRIBUS_SCRSPINBOX_PLUGIN "scribus_scrspinbox")
set(SCRIBUS_SCTABLEWIDGET_PLUGIN "scribus_sctablewidget")
set(SCRIBUS_SCTEXTBROWSER_PLUGIN "scribus_sctextbrowser")

QT5_WRAP_CPP(SCRIBUS_SCRSPINBOX_PLUGIN_MOC_SOURCES ${SCRIBUS_SCRSPINBOX_PLUGIN_MOC_CLASSES})
QT5_WRAP_CPP(SCRIBUS_SCTABLEWIDGET_PLUGIN_MOC_SOURCES ${SCRIBUS_SCTABLEWIDGET_PLUGIN_MOC_CLASSES})
QT5_WRAP_CPP(SCRIBUS_SCTEXTBROWSER_PLUGIN_MOC_SOURCES ${SCRIBUS_SCTEXTBROWSER_PLUGIN_MOC_CLASSES})

add_library(${SCRIBUS_SCRSPINBOX_PLUGIN} SHARED ${SCRIBUS_SCRSPINBOX_PLUGIN_SOURCES} ${SCRIBUS_SCRSPINBOX_PLUGIN_MOC_SOURCES})
target_link_libraries(${SCRIBUS_SCRSPINBOX_PLUGIN}
  ${QT_LIBRARIES}
)

add_library(${SCRIBUS_SCTABLEWIDGET_PLUGIN} SHARED ${SCRIBUS_SCTABLEWIDGET_PLUGIN_SOURCES} ${SCRIBUS_SCTABLEWIDGET_PLUGIN_MOC_SOURCES})
target_link_libraries(${SCRIBUS_SCTABLEWIDGET_PLUGIN}
  ${QT_LIBRARIES}
)

add_library(${SCRIBUS_SCTEXTBROWSER_PLUGIN} SHARED ${SCRIBUS_SCTEXTBROWSER_PLUGIN_SOURCES} ${SCRIBUS_SCTEXTBROWSER_PLUGIN_MOC_SOURCES})
target_link_libraries(${SCRIBUS_SCTEXTBROWSER_PLUGIN}
  ${QT_LIBRARIES}
)

if(APPLE)
  target_link_libraries(${SCRIBUS_SCRSPINBOX_PLUGIN} "-undefined dynamic_lookup")
  target_link_libraries(${SCRIBUS_SCTABLEWIDGET_PLUGIN} "-undefined dynamic_lookup")
  target_link_libraries(${SCRIBUS_SCTEXTBROWSER_PLUGIN} "-undefined dynamic_lookup")
endif()

# install it manually
#install(TARGETS ${SCRIBUS_SCRSPINBOX_PLUGIN}
#  LIBRARY
#  DESTINATION ${QT_INSTALL_PLUGINS}
#  PERMISSIONS ${PLUGIN_PERMISSIONS}
#)

# set_target_properties(${SCRIBUS_DESIGNR_PLUGIN} PROPERTIES VERSION "0.0.0")

=== scribus/fonts/CMakeLists.txt ===
set(SCRIBUS_FONTS_SOURCES
  fonts/cff.cpp
  fonts/fontfeatures.cpp
  fonts/ftface.cpp
  fonts/scface.cpp
  fonts/scface_ps.cpp
  fonts/scface_ttf.cpp
  fonts/scfontmetrics.cpp
  fonts/sfnt.cpp
)

=== scribus/plugins/CMakeLists.txt ===
add_subdirectory(barcodegenerator)
add_subdirectory(colorwheel)
add_subdirectory(export)
add_subdirectory(fileloader)
add_subdirectory(fontpreview)
add_subdirectory(gettext)
add_subdirectory(import)
add_subdirectory(picbrowser)
add_subdirectory(saveastemplateplugin)
if(NOT WANT_SCRIPTER2)
  #scripter1
  if(NOT WIN32)
    message(STATUS "Building with Scripter 1")
    if(NOT WANT_PYTHON_2X)
      add_subdirectory(scriptplugin)
    else()
      add_subdirectory(scriptplugin_py2x)
    endif()
  endif()
else()
  #scripter2
  message(STATUS "Building with Scripter 2")
  add_subdirectory(scripter)
endif()
add_subdirectory(shapes)
add_subdirectory(short-words)
add_subdirectory(tools)

# add_subdirectory(myplugin)

=== scribus/relaxng/CMakeLists.txt ===
include_directories(
${CMAKE_SOURCE_DIR}
${CMAKE_SOURCE_DIR}/scribus
${FREETYPE_INCLUDE_DIRS}
)


include("generatedfiles.cmake")

# if(QT4_WRAP_CPP)
  QT4_WRAP_CPP(SCRIBUS_RELAXNG_MOC_SOURCES ${SCRIBUS_RELAXNG_HEADERS})
# endif()



set(SCRIBUS_RELAXNG_LIB "scribus_relaxng_lib")
add_library(${SCRIBUS_RELAXNG_LIB} STATIC ${SCRIBUS_RELAXNG_SOURCES} ${SCRIBUS_RELAXNG_MOC_SOURCES})
# This is a convenience library that for linkage purposes is part of Scribus's
# main API.
set_target_properties(${SCRIBUS_RELAXNG_LIB}
  PROPERTIES
  COMPILE_FLAGS -DCOMPILE_SCRIBUS_MAIN_APP
  )

=== scribus/styles/CMakeLists.txt ===
set(SCRIBUS_STYLES_MOC_CLASSES
)

set(SCRIBUS_STYLES_SOURCES
	styles/cellstyle.cpp
	styles/charstyle.cpp
	styles/linestyle.cpp
	styles/paragraphstyle.cpp
	styles/style.cpp
	styles/stylecontext.cpp
	styles/stylecontextproxy.cpp
	styles/tablestyle.cpp
)

=== debian/changelog ===
scribus (1.5.8+dfsg-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 16 Feb 2022 15:13:43 -0800

scribus (1.5.8+dfsg-1) unstable; urgency=medium

  * New upstream version 1.5.8+dfsg.
    https://www.scribus.net/scribus-1-5-8-released/
    https://w.scribus.net/wiki/index.php/1.5.8_Release
  * Update copyright.
  * Drop patches applied upstream.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 26 Jan 2022 18:06:18 +0100

scribus (1.5.7+dfsg-5) unstable; urgency=medium

  * Revert "d/rules: disable LTO, as it causes segfaults on startup"
    Going to apply a patch from upstream instead.
    This reverts commit cb3f802e0c70a0fbb8001603304c4cd7d8bea9e3.
  * Add patch from upstream to prevent a possible segfault when built with LTO.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 21 Sep 2021 13:40:11 +0200

=== debian/control ===
Source: scribus
Section: graphics
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends: cmake (>= 3.14.0),
               debhelper-compat (= 13),
               dh-python,
               extra-cmake-modules,
               gettext,
               libcairo2-dev,
               libcdr-dev,
               libcups2-dev,
               libfreehand-dev,
               libgraphicsmagick++1-dev,
               libharfbuzz-dev,
               libhunspell-dev,
               libhyphen-dev,
               libicu-dev,
               liblcms2-dev,
               libmspub-dev,
               libopenscenegraph-dev (>= 3.4),
               libpagemaker-dev,
               libpng-dev,
               libpodofo-dev,
               libpoppler-cpp-dev,
               libpoppler-dev (>= 0.64.0),
               libpoppler-private-dev,
               libqt5opengl5-dev,
               libqt5webkit5-dev,
               libqxp-dev,
               librevenge-dev,
               libtiff-dev,
               libvisio-dev,
               libwpg-dev,
               libxml2-dev,
               libzmf-dev,
               python3-dev,
               qtbase5-dev (>= 5.14),
               qttools5-dev,
               qttools5-dev-tools,
               zlib1g-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/scribus
Vcs-Git: https://salsa.debian.org/debian/scribus.git
Homepage: https://www.scribus.net

Package: scribus
Architecture: any
Depends: ghostscript,
         ${S:Source}-data (= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: cups-bsd,
            fonts-dejavu,
            fonts-liberation,
            hyphen-hyphenation-patterns,
            icc-profiles-free,
            xfonts-scalable | gsfonts-x11
Suggests: icc-profiles,
          scribus-template,
          texlive-latex-recommended,
          ${S:Source}-doc
Description: Open Source Desktop Page Layout
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 If you need to use the render frame install the texlive-latex-recommended
 package (suggested).

Package: scribus-data
Architecture: all
Depends: python3-tk, ${misc:Depends}, ${python3:Depends}
Recommends: fonts-dejavu
Description: Open Source Desktop Page Layout - data files
 Scribus is an open source desktop page layout program with the aim of
 producing commercial grade output in PDF and Postscript.
 .
 Scribus can be used for many tasks; from brochure design to newspapers,
 magazines, newsletters and posters to technical documentation.
 .
 Scribus supports professional DTP features, such as CMYK color and a
 color management system to soft proof images for high quality color printing,
 flexible PDF creation options, Encapsulated PostScript import/export and
 creation of 4 color separations, import of EPS/PS and SVG as native vector
 graphics, Unicode text including right to left scripts such as Arabic and
 Hebrew via freetype. Graphic formats which can be placed in Scribus as images
 include PDF, Encapsulated Post Script (eps), TIFF, JPEG, PNG and XPixMap(xpm),
 and any bitmap type supported by QT5.
 .
 This package contains the architecture-independent files.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS += -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
CXXFLAGS += -D_LARGEFILE64_SOURCE=1 -D_LARGEFILE_SOURCE=1 -D_FILE_OFFSET_BITS=64

t :=
p := scribus$t
export p

ifneq (,$t)
extraconf := \
	-DWANT_DEBUG:BOOL=1 \
	-DWANT_VERSIONING:BOOL=1 \
	-DCUSTOM_VERSIONTAG=$t
else
extraconf :=
endif

%:
	dh $@ --buildsystem=cmake --with python3

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DWANT_HUNSPELL=1 \
	    -DWANT_GRAPHICSMAGICK:BOOL=1 \
	    -DWANT_DISTROBUILD:BOOL=1 \
	    -DWANT_NORPATH:BOOL=1 \
	    -DCMAKE_SKIP_RPATH:BOOL=1 \
	    $(extraconf)

override_dh_auto_install:
	dh_auto_install
ifneq (,$(findstring doc, $(shell grep -e '^Package: ' debian/control)))
	# move the docs somewhere else, so that I can then pick them up
	# do it only if we are building the -doc package from the same source.
	# This won't be the case for the official Debian package, as the
	# documentation is non-free and in a separate source package.
	mkdir -p $(CURDIR)/debian/tmp/doc
	mv -v $(CURDIR)/debian/tmp/usr/share/doc/$p/en \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/de \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/it \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/ru \
	      $(CURDIR)/debian/tmp/doc
endif
	# remove pointless files.
	rm -v $(CURDIR)/debian/tmp/usr/share/doc/$p/ChangeLog \
	      $(CURDIR)/debian/tmp/usr/share/doc/$p/COPYING
	find $(CURDIR)/debian/tmp -type d -empty -print -delete
	# remove references to prorietary fonts and use free fonts in templates.
	# also remove references to Bitstream fonts, which are unmaintained, and
	# use DejaVu ones, instead
	# See https://bugs.debian.org/742003 and https://launchpad.net/bugs/1393349
	# https://bugs.scribus.net/view.php?id=14688
	# https://bugs.scribus.net/view.php?id=14689
	gunzip -v $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla.gz
	sed -i $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla \
		-e 's/Arial Regular/Liberation Sans Regular/g' \
		-e 's/Arial Black Regular/Liberation Sans Bold/g' \
		-e 's/FreeSans Medium/Liberation Sans Bold/g' \
		-e 's/Bitstream Vera Sans Roman/DejaVu Sans Book/g' \
		-e 's/Bitstream Vera Sans Mono Roman/DejaVu Sans Mono Book/g' \
		-e 's/Bitstream Vera Serif Roman/DejaVu Serif Book/g' \
		-e 's/Bitstream Vera Serif/DejaVu Serif/g' \
		-e 's/Bitstream Vera Sans/DejaVu Sans/g' \
		-e 's/Bitstream Vera Mono/DejaVu Mono/g'
	gzip -v -n -8 $(CURDIR)/debian/tmp/usr/share/$p/templates/*/*.sla

override_dh_fixperms:
	# the plugins (which are the only .so files here) needs to be +x.
	# let the scribus installer take care of them
	dh_fixperms -X .so

override_dh_python3:
	dh_python3 /usr/share/$p/samples/
	dh_python3 /usr/share/$p/scripts/

# scribus expects the {docdir}/{lang}/menu.xml being present and uncompressed,
# otherwise you'll get no docs.
override_dh_compress:
	dh_compress -X usr/share/doc/$p/de \
				-X usr/share/doc/$p/en \
				-X usr/share/doc/$p/it \
				-X usr/share/doc/$p/ru \
				-X usr/share/doc/$p/TRANSLATION \

override_dh_strip:
	dh_strip --no-automatic-dbgsym
